body, html {
    margin: 0;
    font-family:'Arial';
    color: #111C;
    text-align: center;
    font-size: clamp(8px, 2vmax, 25px);

    background-image: url("background.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

li {
    list-style: none;
}

.title, .subtitle, .sitename {
    font-family: 'Vujahday Script', cursive;
    line-height: 90%;
    text-shadow: 0.05rem 0.05rem 0.05rem #8888;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.title {
    font-size: 6rem;
    width: 100%;
}
 
.subtitle {
    font-size: 4rem;
    width: 100%;
}

.instruction {
    font-size: 1rem;
    padding: 0.5rem;
    backdrop-filter: blur(5px);
    width:max-content;
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    border-radius: 0.5rem;
}

a {
    color: #111C;
    text-decoration: none;
    transition-duration: 0.3s;
}

a:hover {
    text-shadow: 0rem 0rem 0.3rem  #FFFF;
}

.navbar {
    position: fixed;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    background-color: #FFF5;
    border-radius: 0 0 0 0.15rem;
    border-style: solid;
    border-width: 0.05rem;
    border-color: #0005;
    box-shadow: 0.1rem 0.1rem 0.1rem #0007;
    font-size: 0.75rem;
    backdrop-filter: blur(7px);
    z-index: 1;
}

.navbar ul {
    float: right;
}

.navbar li {
    float: left;
}

.navbar li:hover {
    background: #FFFA;
    transition-duration: 0.3s;
}

.navbar li a {
    display: block;
    text-align: center;
    padding: 0.4rem;
    transition-duration: 0.3s;
}

.sitename {
    font-size: 2rem;
    position: fixed;
    top: 0;
    left: 0;
    padding: 0.5rem;
    text-shadow: 0.05rem 0.05rem 0.05rem #8888;
    z-index: 1;
    width: 100%;
    text-align: left;
}

.content {
    margin: 1rem;
    margin-top: 2rem;
}

input, .answerinput {
    backdrop-filter: blur(5px);
    padding: 0.4rem;
    margin: 0.4rem 0 0.4rem 0;
    background-color: #DDDA;
    box-shadow: 0.1rem 0.1rem 0.1rem #0007;
}

.login {
    width: 40%;
    margin: auto;
}

.login input {
    width: calc(100% - 1rem);
    font-size: 0.75rem;
}

.login label {
    float: left;
    white-space: nowrap;
    font-size: 0.75rem;
}

.login .checkbox input {
    width: auto;
    margin: 0.5rem;
    padding: 0.4rem;
}

.checkbox {
    backdrop-filter: blur(5px);
    border-radius: 0.5rem;
    padding: 0.5rem;
}

button, .largebutton {
    color: #111C;
    font-size: 0.75rem;
    background: #FFF5;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    transition-duration: 0.3s;
    border-radius: 0.15rem;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    backdrop-filter: blur(5px);

    border-style: solid;
    border-width: 0.05rem;
    border-color: #0005;
    box-shadow: 0.1rem 0.1rem 0.1rem #0007;
}

button {
    float: right;
    margin: 0;
    padding: .5rem;
}

.largebutton {
    display: block;
    width: calc(75% - 3.5rem);
    padding: .75rem;
}

button:hover, .largebutton:hover {
    background: #FFFA;
}

button:disabled, .largebutton:disabled {
    color: #2222;
    background-color: #FFF2;
    border-color: #0002;
    box-shadow: 0.1rem 0.1rem 0.1rem #0003;
}

/* Container which fills the whole screen, except the navbar bit */
.fixedcontainer {
    width: 100%;
    height:calc(100vh - 3rem);
    display: flex;
    flex-direction: column;
}

.answerinput {
    width: calc(100% - 2rem);
    height: 100%;
    font-size: 0.75rem;
    padding: 1rem;
}

.hint {
    background-color: #FFFB;
    font-size: 0.75rem;
    padding: 0.75rem;
    text-align: left;
    border-style: solid;
    border-width: 0.05rem;
    line-height: 1rem;
}

.flash-message {
    font-size: 0.75rem;
    margin: 0;
    padding: 0.4rem;
    overflow: hidden;
    background-color: #FFF5;
    backdrop-filter: blur(5px);
    border-top-style: solid;
    border-width: 0.05rem;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 1;
}
